Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.config
Interface Configuration

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  DefaultConfiguration, MockConfiguration

    public interface Configuration

extends Serializable

XWork configuration.

Author:
  Mike

Method Summary
`void` | `addPackageConfig(String name, PackageConfig packageConfig)`
`void` | `destroy()` Allow the Configuration to clean up any resources that have been used.
`Container` | `getContainer()`
`Set<String>` | `getLoadedFileNames()`
`PackageConfig` | `getPackageConfig(String name)`
`Set<String>` | `getPackageConfigNames()`
`Map<String,PackageConfig>` | `getPackageConfigs()`
`RuntimeConfiguration` | `getRuntimeConfiguration()` The current runtime configuration.
`List<UnknownHandlerConfig>` | `getUnknownHandlerStack()`
`void` | `rebuildRuntimeConfiguration()`
`void` | `reload(List<ConfigurationProvider> providers)` Deprecated. Since 2.1
`List<PackageProvider>` | `reloadContainer(List<ContainerProvider> containerProviders)`
`PackageConfig` | `removePackageConfig(String packageName)` Removes a package from the the list of packages.
`void` | `setUnknownHandlerStack(List<UnknownHandlerConfig> unknownHandlerStack)`

Method Detail

### rebuildRuntimeConfiguration

    void rebuildRuntimeConfiguration()

### getPackageConfig

    PackageConfig getPackageConfig(String name)

### getPackageConfigNames

    Set<String> getPackageConfigNames()

### getPackageConfigs

    Map<String,PackageConfig> getPackageConfigs()

### getRuntimeConfiguration

    RuntimeConfiguration getRuntimeConfiguration()

  The current runtime configuration. Currently, if changes have been made to the Configuration since the last time buildRuntimeConfiguration() was called, you'll need to make sure to.

  Returns:
    the current runtime configuration

### addPackageConfig

    void addPackageConfig(String name,
                          PackageConfig packageConfig)

### removePackageConfig

    PackageConfig removePackageConfig(String packageName)

  Removes a package from the the list of packages. Changes to the configuration won't take effect until buildRuntimeConfiguration is called.

  Parameters:
    `packageName` - the name of the package to remove
  Returns:
    the package removed (if any)

### destroy

    void destroy()

  Allow the Configuration to clean up any resources that have been used.

### reload

    @Deprecated
    void reload(List<ConfigurationProvider> providers)
                throws ConfigurationException

  Deprecated. Since 2.1

  Parameters:
    `providers` -
  Throws:
    `ConfigurationException`

### reloadContainer

    List<PackageProvider> reloadContainer(List<ContainerProvider> containerProviders)
                                          throws ConfigurationException

  Parameters:
    `containerProviders` -
  Throws:
    `ConfigurationException`
  Since:
    2.1

### getContainer

    Container getContainer()

  Returns:
    the container

### getLoadedFileNames

    Set<String> getLoadedFileNames()

### getUnknownHandlerStack

    List<UnknownHandlerConfig> getUnknownHandlerStack()

  Returns:
    list of unknown handlers
  Since:
    2.1

### setUnknownHandlerStack

    void setUnknownHandlerStack(List<UnknownHandlerConfig> unknownHandlerStack)

  Parameters:
    `unknownHandlerStack` -
  Since:
    2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.